package com.red.circle.other.app.service.user.user;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.UserIdCmd;
import com.red.circle.other.app.dto.clientobject.user.user.SysExchangeGoldTableCO;
import com.red.circle.other.app.dto.clientobject.user.user.UserRegionCO;
import java.util.List;
import java.util.Map;

/**
 * 用户区域服务.
 *
 * @author pengliang on 2023/6/11
 */
public interface UserRegionService {

  UserRegionCO getUserRegionSetting(UserIdCmd cmd);

  Map<String, String> getUserRegionMetadata(AppExtCommand cmd);

  Map<String, String> getUserRegionDiamondMetadata(AppExtCommand cmd);

  List<SysExchangeGoldTableCO> listRegionExchangeGoldTable(AppExtCommand cmd);





}
